- All
contributorresponses now return contributors as an object withslug,tab, and contributor field objects. - All
attachmentresponses now return a tab object for each attachment.
- Added endpoints for listing and viewing action tasks.
- Endpoint for creating an action task is now
POST /action-task.
- Added
items_arrayfield to list and get order endpoints. Returns an array of objects for each order item.
- All application, user, and contributor date and date-time fields now accept ISO 8601 Zulu format.
- All application, user, and contributor date and date-time fields now return values in ISO 8601 Zulu format.
- Allocation payment endpoints now support ISO 8601 Zulu format in
date_dueanddate_paidfields. - Allocation payment endpoints now return dates and date-times in ISO 8601 Zulu format.
referencefield now returnsnullwhen not provided, instead of''.
- All
formfields in responses now return as an object withslug,name, andlinkfields. - All
nameanddescriptionfields now return as an object with translations for the requested language. managersfield in create, update, get, and list chapter endpoints now returns an array of manager objects withslug,first_name,last_name, andlinkfields.- Improved payload and response consistency for fields that use checkbox, date, or datetime types.
- Added URL filter to
List webhooksandGet webhookendpoints. - Added
signed_keyto webhook endpoint responses.
- Added
List documentsendpoint. - Added
Get documentendpoint. - Added
Create documentendpoint. - Added
Delete documentendpoint.
- Added
List allocation paymentsendpoint. - Added
Get allocation paymentendpoint. - Added
Create allocation paymentendpoint. - Added
Update allocation paymentendpoint. - Added
Delete allocation paymentendpoint. - Added new subscription event types to
List webhooksendpoint:AllocationPaymentWasCreatedAllocationPaymentWasUpdatedAllocationPaymentWasDeletedAllocationPaymentStatusWasChangedAllocationWasCreated
- Added optional
grant_statusandgrant_end_datefields to create and update application endpoints. - Added
grant_statusandgrant_end_dateto response object for list, create, update, and tag application endpoints. - Added grant status endpoints:
List grant statusesandGet grant status.
- Added form slug to:
- Query params and response body for
List categoriesendpoint - Response body for
Get categoryendpoint - Request body and response body for
Create categoryendpoint - Response body for
Update categoryendpoint - Query params and response body for
List applicationsendpoint - Response body for
Get applicationsendpoint - Request body and response body for
Create applicationsendpoint - Response body for
Update applicationsendpoint - Query params and response body for
List fieldsendpoint
- Query params and response body for
- Added
attachmentendpoints for viewing, updating, and deleting attachments. - Changed
nametofilenamein the response body for get attachment, list attachments, update attachment, get category, and get application endpoints. - Changed
nametofilenamein the request body for upload application file, upload application attachment, upload chapter file, upload user file endpoints. - Grouped
filename,token,download, andlinkunderfilein the response body for the upload application attachment and get application endpoints.